package SoftLib.constraints;

import SoftLib.weight.PrimitiveWeight;
/**
 * Standard interface for SoftConstraint.
 * It contains the definition of the method used to get the weight/cost function
 * from a soft constraint
 */
public interface SoftConstraint {
    public PrimitiveWeight getWeight();
    
}
