package SoftLib.core;

import JaCoP.constraints.Constraint;
import SoftLib.constraints.SoftConstraint;

/**
 * Class used store in a single object both the crisp constraint and the weight constraint making up the soft constraint.
 */

public class CoupleConstraint {

    private SoftConstraint constraint;
    private Constraint cost;

    public CoupleConstraint(SoftConstraint constraint, Constraint cost) {
        this.constraint = constraint;
        this.cost = cost;
    }

    public Constraint getCost() {
        return cost;
    }

    public SoftConstraint getConstraint() {
        return constraint;
    }

    public void setCost(Constraint cost) {
        this.cost = cost;
    }

    public void setConstraint(SoftConstraint constraint) {
        this.constraint = constraint;
    }
}