package SoftLib.core;

import JaCoP.core.IntVar;
import java.util.ArrayList;
import java.util.HashMap;

/**
 * Class that contains all the weight constraints (binary or unary).
 * This class is used by softArcConsitency() as an auxiliary data structure.
 */

public class WeightStore {

    public ArrayList<WeightBinaryDomains> wBinary;
    public HashMap<IntVar,WeightUnaryDomain> wUnary;

    public WeightStore() {
        this.wBinary = new ArrayList<WeightBinaryDomains>();
        this.wUnary = new HashMap<IntVar, WeightUnaryDomain>();
    }    
}
