package SoftLib.weight;

import JaCoP.constraints.Constraint;
import JaCoP.core.IntVar;
import SoftLib.core.SoftStore;

/**
 * Class used to represent weight/cost functions for a binary SoftConstraint.
 */

public abstract class PrimitiveBinaryWeight extends PrimitiveWeight{
    public abstract Constraint setWeight(SoftStore store, IntVar x, IntVar y);
    public abstract int evaluateWeight(int x, int y);
}
